Delete a webhook subscription
curl --request POST \
--url https://{notifuseDomain}/api/webhookSubscriptions.delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "ws_1234567890",
"id": "whsub_a1b2c3d4e5f6"
}
'import requests
url = "https://{notifuseDomain}/api/webhookSubscriptions.delete"
payload = {
"workspace_id": "ws_1234567890",
"id": "whsub_a1b2c3d4e5f6"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({workspace_id: 'ws_1234567890', id: 'whsub_a1b2c3d4e5f6'})
};
fetch('https://{notifuseDomain}/api/webhookSubscriptions.delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Webhooks
Delete a webhook subscription
Permanently deletes a webhook subscription. This action cannot be undone.
POST
/
api
/
webhookSubscriptions.delete
Delete a webhook subscription
Authorizations
API token for authentication
Body
application/json
Response
Webhook subscription deleted successfully
Example:
true
⌘I
